package cn.wisenergy.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author 86187
 */
@Data
@ApiModel(value = "BannerDto")
public class BannerDto {

    /**
     *  广告id
     */
    @ApiModelProperty(value = "广告id",name = "id")
    private Integer id;


    /**
     * 广告类型： 1：顶部广告 2：底部广告
     */
    @ApiModelProperty(value = "广告类型： 1：顶部广告 2：底部广告",name = "type")
    private Integer type;

    /**
     * 投放状态 0：暂停中 1：投放中
     */
    @ApiModelProperty(value = "投放状态 0：暂停中 1：投放中",name = "status")
    private Integer status;

    /**
     * 网址
     */
    @ApiModelProperty(value = "网址",name = "website")
    private String website;

    /**
     * 广告图片url
     */
    @ApiModelProperty(value = "广告图片url",name = "image")
    private String image;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间",name = "updateTime")
    private Date updateTime;
}
