package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Volunteer;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 86187
 */
public interface VolunteerMapper extends BaseMapper<Volunteer> {

    Volunteer add(Volunteer volunteer);

    List<Volunteer>  getFillList(Map<String,Object> map);

    List<Volunteer> getListByIds(@Param("list") List<Integer> ids);

    int updateBySchemeId(@Param("schemeId") Integer schemeId);

    List<Volunteer> getVolunteerList(Map<String,Object> map);

    List<Volunteer> getVolunteerByType(@Param("type") Integer type);
}
