package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.dto.PayPageDto;
import cn.wisenergy.model.dto.PayQueryDto;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public interface AliPayService {

    /**
     * 支付宝支付接口
     * @param payPageDto
     * @param request
     * @param httpResponse
     * @return 支付结果
     */
    R<String> doPost(PayPageDto payPageDto, HttpServletRequest request, HttpServletResponse httpResponse);

    /**
     * 支付宝交易查询
     * @param payQueryDto 查询参数
     * @return 查询结果
     */
    R<String> query(PayQueryDto payQueryDto);
}
