package cn.wisenergy.service.wxpay;

/**
*@ Description:  微信支付公共参数
*@ Author     : 86187
*@ Date       : 2021/2/5 15:04
 * @author 86187
 */
public class WxCommon {

    public static final String APP_ID = "wx7d8f4502a2bfa865";

    public static final String MCHID = "1606042985";

    public static final String NOTIFY_URL = "http://www.baodu.com";

    public static final String WX_PAY_URL = "https://api.mch.weixin.qq.com/v3/pay/transactions/native";

    public static final String WX_PAY_QUERY = "https://api.mch.weixin.qq.com/v3/pay/transactions/out-trade-no/";


    public static final String SECRET_KEY = "MIIEvgIBADANBgkqhkiG9w0BAQEFAASCBKgwggSkAgEAAoIBAQDhGq+iGQueP8EU" +
            "3qj0T0Otnha0XboVcgmeDkgbe08H54WiF9d3R4aLAo+wAkAj/R7nRw2yWeaaMEgb" +
            "ZvUz03IioVKwLhaMVEtwE5sNFCMGDDh9jGjm66j+BYgVk02P5hUAcYLcJYeo9iHA" +
            "cFQ1YA4r64OLD0/JWqGjpHmKJ9F3YhZjBO8ETm6grnIJyqt9ABCPBQF7fRS/ZcbC" +
            "J8PUoEZA1eGi60FEgzeJ2stjzXZ6629INnRQanNuPegcH26oSQmph+z33bLUhXDb" +
            "lt6exClPKucU5FZoh69dMsD1RLqNeBTUG8JCvvEWnBH3RaHKRsv/nezQHS+5euw3" +
            "AJnTNPl5AgMBAAECggEAR9PsFx1Gx8gwJCioYMyqG8xGEmeV6SHqT7Te7WX7YdpO" +
            "mdphtn3sQI8gqlkNfm5WXhYeGLr3Clw9pgDEXTUrRkGT0QPjzgNXzvtyjknOoy9j" +
            "FyymjIjF88hwE/Jc3X3dVbbiurx+/TsMqgst05pC62DLKKRKIUX6Le1dmuf5vs3E" +
            "gjDZR+Z86H8jNm0Qg5OXwbUs7uIaMKun6QUGqk0YfdeIQdMXerKp48HLSI+j+bMS" +
            "pkE5wt4MSk3G90qHzxLgO7N2FuUFJunl8t0jrDIg7eG8qDPT2rO7tFP8zvikJbGz" +
            "zNfI9l6CIXnPXFJtoAFRt8XBG4sNF5ncSdJbDTpXAQKBgQDySdXYOkMCHxFSKAG/" +
            "pCyFwCMozfvKL2HShS/lVc7wwVG/yvPeqpKFvq7+xob6R20rbJEzgSBSlOwpol9s" +
            "f+fuduUPSzLK/Dz+yL6o3CrX18g2SSgZSMbqN1KDmoF7D3GO81AmdBs/FQkg8wAa" +
            "oWSI8K5QUuw0nfMMWZZ4bS7VLQKBgQDt1+TpC3euInhakwrYDnGqRy7W3YEuILDN" +
            "Adp+IujN0sKKIH6dx9hZxSbqEE/t4uev3Pga9P8e+91h9rIc38b3Xw2Xn2iN/bSa" +
            "dk7ThAu9leiJG9bs1gN7mT8Gq8kV/RKM8npAjht2dlx61T3Eb80WSf8sC3BWJ2TE" +
            "M88jjuT8/QKBgCOPqL5i1sDx9GXdj1wkaZB8Ae0URpeHWtE+UShU7tmxViFTVXXi" +
            "DT1qHl8wnlEPuLs95RXtJuRYDU2TEnRnVZBPjREwlVTrrrwqlKlOH0+s0Sr+k88a" +
            "Om/YDNlaDRUV0DIODj6GnhUlLkDSyboe5BWhVcReV2Llp+2xHH+ybsRFAoGBAK6C" +
            "2Cy+A0Q7en9KoIxCnNfJfu6ce+oyhkcFcyFVz+clGyRqDz0Jow7K/3CCI4NyF3kL" +
            "8uckmARN3PPCJJHXB4/9qGV1yytT2a3z3IaJvmuOkJ35VUtVBB0uJfZpGRQPKgtM" +
            "5rJzEmdrFRPzXmzBc4NFK/tPMU+le+QR94wpjo6pAoGBAOmilsvFp4UcuAeOt50q" +
            "4FC2ApgHw4f95nCi/rtUbuC9AwiFD8nBGZTLFO1lxoms52uJ9RWYLBpY4JmWo1VG" +
            "IaU0+nKTljLCQZNHqA87bkG4lQIKsZjNJ47PW1iUdNtXJ58aw/qnj2ldIGIcZQQY" +
            "52pD2/10mSJy5oxiqdMccmbs";

    /**
     * 证书序列号
     */
    public static final String SERIAL_NO = "5A886697B1EA67984766E953683E04D2DC96482C";

    /**
     * 认证类型
     */
    public static final String SCHEMA = "WECHATPAY2-SHA256-RSA2048";

    /**
     * 认证类型
     */
    public static final String PRIVATE_KEY = "efef4a06a1654e0f78d113377ea37aed";
}
